Subject: Re: bug#54261: [PATCH]: Update GTK to 4.6.1.

From: Liliana Marie Prikler <[email-masked]>
Date: Mon, 28 Mar 2022 20:19:12 +0200

Am Montag, dem 28.03.2022 um 23:37 +0800 schrieb Zhu Zihao:
> 
> Liliana Marie Prikler <[email-masked]> writes:
> 
> > Am Sonntag, dem 27.03.2022 um 11:04 +0800 schrieb Zhu Zihao:
> > > ping. Any thoughts?
> > As far as I can see, the main issue (GTK propagating pango-next)
> > has not been addressed, we're just piling on workarounds.  This is
> > not the way to go, as it will inevitably lead to more conflicts
> > later on.
> > 
> > If possible, I'd suggest trying to build GTK against the old pango,
> > perhaps with a patch that can be removed on core-updates.  WDYT?
> 
> 
> Try build GTK 4.6.1 with Pango 1.48 is so tricky IMO. GTK 4.6.1 may
> use the API introduced in pango 1.50 series. Currently my idea's make
> GTK+ 2 & 3 use Pango 1.50. It'll triggeer 3000+ builds, and we can
> put it to stage branch (if we update pango, it will trigger 7000+
> builds)
3k rebuilds is still beyond the limit of 1.5k and doesn't address the
main issue (that being propagation).